Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Namespaces | Functions | Variables
swap.hpp File Reference

## Classes
struct | concepts::is_nothrow_swappable< T >
struct | concepts::is_nothrow_swappable< T >
struct | concepts::is_nothrow_swappable_with< T, U >
struct | concepts::is_nothrow_swappable_with< T, U >
struct | concepts::is_swappable< T >
struct | concepts::is_swappable< T >
struct | concepts::is_swappable_with< T, U >
struct | concepts::is_swappable_with< T, U >

## Namespaces
| concepts
| INTERNAL ONLY.

## Functions
template<typename T , typename U = T>
constexpr meta::if_c< std::is_move_constructible< T >::value &&std::is_assignable< T &, U >::value, T > | concepts::exchange (T &t, U &&u) noexcept(std::is_nothrow_move_constructible< T >::value &&std::is_nothrow_assignable< T &, U >::value)

## Variables
constexpr adl_swap_detail::swap_fn | concepts::swap {}